Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040343
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2019-03-08 12:262019-03-28 14:56
ReporterdmiguelezView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0db4c9dbdabd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0040343: Picked Lines and Pending Picking Quantity in Orders is not calculated correctly for Orders delivered without Tasks

DescriptionPicked Lines and Pending Picking Quantity in Orders is not calculated correctly for Orders delivered without Tasks
Steps To ReproduceLog in as F&B Admin

Go to Sales Order window
Filter by Document No. 1000000
Check that the Order is 100% delivered but it has 13 lines still pending to Pick.

This is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110319)
dmiguelez (developer)
2019-03-08 12:41

Test Plan

Log in as F&B Admin

Go to Sales Order window
Filter by Document No. 1000000
Check that the Order is 100% delivered and 0 lines pending to pick.

Create a new Sales Order with a line wit positive ordered quantity (any parameters) Check that there is one pending line to pick and the line has positive quantity pending to be picked
(0110405)
hgbot (developer)
2019-03-13 14:10

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: d190e1c4824f5e8b2d1e9b52b294335d78bc69f6
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 08 12:37:06 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/d190e1c4824f5e8b2d1e9b52b294335d78bc69f6 [^]

Fixes Issue 40343: Take delivered quantity into account when calculating
the pending quantity to be picked from an order line.

---
M src-db/database/model/functions/OBAWO_ORDERLINE_PENDINGPICKING.xml
M src-db/database/model/functions/OBAWO_ORDER_PENDINGPICKING.xml
---
(0110406)
hgbot (developer)
2019-03-13 14:11

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 87422a082ae626c6eb9a88544a2ad6ba2a01e863
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Mar 13 14:10:41 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/87422a082ae626c6eb9a88544a2ad6ba2a01e863 [^]

Related to issue 40343: code review improvements (qty issued outside awo)

The changeset adds support for orders partially delivered outside AWO. This qty shouldn't be
taken into account for generating picking and issue tasks.
Besides the solution is so generic that also works fine for orders fully delivered outside AWO.


OBAWO_ORDERLINE_PENDINGPICKING:
We calculate the issue qty outside AWO and we subtract for the total pending to pick qty. Usually
this qty will be 0.

OBAWO_ORDER_PENDINGPICKING:
Small change to move the filter from the having to the where clause.

ITT Algorithms:
They now follow the same logic as in the OBAWO_ORDERLINE_PENDINGPICKING: to subtract the issued qty
outside AWO to the pending qty to generate picking or issue tasks.

In PickingSalesOrder_ITTAlgorithm we don't check anymore whether the order is a before-AWO or
after-AWO, as with this solution we perfectly support orders previously and partially issued outside AWO.

---
M src-db/database/model/functions/OBAWO_ORDERLINE_PENDINGPICKING.xml
M src-db/database/model/functions/OBAWO_ORDER_PENDINGPICKING.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/IssueSalesOrder_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/PickingSalesOrder_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/PickingSalesOrder_ITTAlgorithmDao.java
---
(0110407)
hgbot (developer)
2019-03-13 14:11

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 0db4c9dbdabd328dbebb54d9e15a45934550ac27
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 08 12:39:38 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/0db4c9dbdabd328dbebb54d9e15a45934550ac27 [^]

Fixes Issue 40343: Takes into account Issued Quantity
when calculating the pending quantity to pick from an Order Line

Fixes automated tests cases. When cloning a DO Line, set Issued
and Received Quantity to zero.

---
M src-db/database/model/functions/OBDOA_DOLINE_PENDINGPICKING.xml
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/utils/DistributionOrdersWithAWOTestUtils.java
---
(0110408)
hgbot (developer)
2019-03-13 14:11

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 544f81964b29adf84a22e085dd7cada5e7874ab4
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Mar 13 14:10:43 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/544f81964b29adf84a22e085dd7cada5e7874ab4 [^]

Related to issue 40343: code review improvements (qty issued outside awo)

The changeset adds support for dist. orders partially delivered outside AWO. This qty shouldn't be
taken into account for generating picking and issue tasks.
Besides the solution is so generic that also works fine for dist. orders fully delivered outside AWO.


OBDOA_DOLINE_PENDINGPICKING:
We calculate the issue qty outside AWO and we subtract for the total pending to pick qty. Usually
this qty will be 0.

ITT Algorithms:
They now follow the same logic as in the OBDOA_DOLINE_PENDINGPICKING: to subtract the issued qty
outside AWO to the pending qty to generate picking or issue tasks.

---
M src-db/database/model/functions/OBDOA_DOLINE_PENDINGPICKING.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/IssueDistributionOrderIssue_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/PickingDistributionOrderIssue_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/PickingDistributionOrderIssue_ITTAlgorithmDao.java
---
(0110473)
hgbot (developer)
2019-03-18 12:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: a3f885121d1ab3081c71551dde54028cff2179c1
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 18 12:06:37 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/a3f885121d1ab3081c71551dde54028cff2179c1 [^]

Related to Issue 40343. Code Review Changes. Removed not necessary cast
to BigDecimal and not necessary String.toString()

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/IssueSalesOrder_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/PickingSalesOrder_ITTAlgorithmDao.java
---
(0110474)
hgbot (developer)
2019-03-18 12:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: f81be58faee4e634bcd0b355583da2598e962454
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 18 12:23:34 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/f81be58faee4e634bcd0b355583da2598e962454 [^]

Related to Issue 40343: Added automated test case to verify that the
Pending Lines to be Picked and Pending Quantity to Pick fields
behave properly

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOq_PendingPickingLines.java
---
(0110475)
hgbot (developer)
2019-03-18 12:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: d2b2451ea2fc5cc0e7ce4a11773b24cfa764ef3b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 18 12:19:09 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/d2b2451ea2fc5cc0e7ce4a11773b24cfa764ef3b [^]

Related to Issue 40343. Code Review Changes:

* Removed not necessary String.toString()
* Fixed comment
* Extracted logic to retrieve pending quantity to pick
  into a different method

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/IssueDistributionOrderIssue_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/PickingDistributionOrderIssue_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/implementation/PickingDistributionOrderIssue_ITTAlgorithmDao.java
---
(0110525)
hgbot (developer)
2019-03-21 09:03

Repository: erp/devel/pi
Changeset: 35ce07c420137851c94bfb7cd4074d7169f17cde
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Mar 20 10:25:27 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/35ce07c420137851c94bfb7cd4074d7169f17cde [^]

Related to Issue 40343: Fixes in PL for Oracle.

When retrieving a value with a select into clause, it is necessary
to capture the exception for when there is no data.

---
M src-db/database/model/functions/M_RESERVATION_CONSUMPTION.xml
---
(0110541)
dmiguelez (developer)
2019-03-21 12:00

Code Review + Testing Ok
(0110877)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-08 12:26 dmiguelez New Issue
2019-03-08 12:26 dmiguelez Assigned To => Triage Finance
2019-03-08 12:41 dmiguelez Note Added: 0110319
2019-03-13 13:44 vmromanos Status new => scheduled
2019-03-13 13:44 vmromanos Assigned To Triage Finance => vmromanos
2019-03-13 14:10 hgbot Checkin
2019-03-13 14:10 hgbot Note Added: 0110405
2019-03-13 14:10 hgbot Status scheduled => resolved
2019-03-13 14:10 hgbot Resolution open => fixed
2019-03-13 14:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/d190e1c4824f5e8b2d1e9b52b294335d78bc69f6 [^]
2019-03-13 14:11 hgbot Checkin
2019-03-13 14:11 hgbot Note Added: 0110406
2019-03-13 14:11 hgbot Checkin
2019-03-13 14:11 hgbot Note Added: 0110407
2019-03-13 14:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/d190e1c4824f5e8b2d1e9b52b294335d78bc69f6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/0db4c9dbdabd328dbebb54d9e15a45934550ac27 [^]
2019-03-13 14:11 hgbot Checkin
2019-03-13 14:11 hgbot Note Added: 0110408
2019-03-13 14:12 vmromanos Review Assigned To => dmiguelez
2019-03-18 12:23 hgbot Checkin
2019-03-18 12:23 hgbot Note Added: 0110473
2019-03-18 12:23 hgbot Checkin
2019-03-18 12:23 hgbot Note Added: 0110474
2019-03-18 12:23 hgbot Checkin
2019-03-18 12:23 hgbot Note Added: 0110475
2019-03-21 09:03 hgbot Checkin
2019-03-21 09:03 hgbot Note Added: 0110525
2019-03-21 12:00 dmiguelez Note Added: 0110541
2019-03-21 12:00 dmiguelez Status resolved => closed
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110877


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker